# iconv.h File Reference

## Detailed Description

iconv wrapper class, and pluggable interface for records

Definition in file iconv.h.

`#include "dll.h"`
`#include "data.h"`
`#include <iconv.h>`
`#include <string>`

Include dependency graph for iconv.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::IConvHandle
| Wrapper class for a two-way iconv_t handle pair. More...
class | Barry::IConverter
| Main charset conversion class, primarily focused on converting between the Blackberry charset and an application-specified one. More...